Bug 376441 - pango_layout_set_markup_with_accel with munin
pango_layout_set_markup_with_accel with munin
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: munin (Show other bugs)
8
i386 Linux
low Severity low
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
:
Depends On: 378391
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-11 14:48 EST by Edouard Bourguignon
Modified: 2008-04-21 21:32 EDT (History)
3 users (show)

See Also:
Fixed In Version: 1.2.5-4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-20 22:20:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Edouard Bourguignon 2007-11-11 14:48:10 EST
Description of problem:
munin-cron returns warnings about Pango function
"pango_layout_set_markup_with_accel"

Version-Release number of selected component (if applicable):
munin-1.2.5-2.fc7

How reproducible:
static

Steps to Reproduce:
1. install munin
2. wait that crond run munin-cron
3. you have a new mail from your friend the cron Daemon 
  
Actual results:
The mail send by cron says:
(process:4064): Pango-WARNING **: pango_layout_set_markup_with_accel: Error on
line 1: Character ' ' is not valid at the start of an entity name; the &
character begins an entity; if this ampersand isn't supposed to be an entity,
escape it as &

(process:4064): Pango-WARNING **: pango_layout_set_markup_with_accel: Error on
line 1: Character ' ' is not valid at the start of an entity name; the &
character begins an entity; if this ampersand isn't supposed to be an entity,
escape it as &

Error on line 1, but don't know in what file?

Expected results:
No warning


Additional info:
The munin package is stil a fedora7 release, but it was working great on f7 so
i'm not sure the problem comes from munin.
I'm using pango-1.18.3-1.fc8 which provides the
pango_layout_set_markup_with_accel() function.
Comment 1 Kevin Fenzi 2007-11-11 14:58:11 EST
You are running f8, but using the f7 munin package? 

This error would seem to me to possibly come from rrdtool, which munin uses to
generate the graphs. What version of rrdtool do you have? Does updating it (and
it's dependencies) fix this issue?

Comment 2 Edouard Bourguignon 2007-11-12 02:14:08 EST
I'm using rrdtool-1.3-0.1.beta1.fc8

the munin f7 package is also provided for the f8. I've just upgraded my f7 to
f8, everything is up to date. I can't see newer packages coming on koji for
munin or rrdtool
Comment 3 Kevin Fenzi 2007-11-12 12:16:44 EST
I am able to duplicate this here now. ;) 
It's in the munin-graph call.

I don't know yet if rrdtool-perl or pango is at fault. 

Thanks again for the report. 
Comment 4 Behdad Esfahbod 2007-11-12 12:22:20 EST
Definitely rrdtool.  Did you read the pango warning even?
Comment 5 Kevin Fenzi 2007-11-12 13:06:00 EST
> Definitely rrdtool.  Did you read the pango warning even?

Yes. I wasn't sure if it was rrdtool-perl generating input to pango that was
bogus, or pango changing to not accept valid input from rrdtool-perl. 
Comment 6 Kevin Fenzi 2007-12-13 00:45:32 EST
A fixed rrdtool is available in updates-testing... 

can anyone seeing this issue please try upgrading to that and confirm that it
fixes it?

su -c 'yum --enablerepo=updates-testing update rrdtool'
Comment 7 Edouard Bourguignon 2007-12-14 05:01:05 EST
no doesn't fix it with rrdtool-1.3-0.2.beta2.fc8
Comment 8 Kevin Fenzi 2007-12-14 11:25:51 EST
Rats. This fixed the problem here in rawhide, but it doesn't apparently fix it
in f8. ;( 
Will see if I can get the rrdtool maintainer to dig further. 
Comment 9 Jakob Hirsch 2007-12-24 10:53:58 EST
Don't know if this is really a rrdtool issue, but the munin people fixed it
themselves: http://munin.projects.linpro.no/ticket/537
Comment 10 Kevin Fenzi 2007-12-25 14:56:42 EST
Thanks for the pointer Jakob... that does indeed seem to at least work around
the issue. I will try and spin up a update with that fix here soon. 

Thanks!
Comment 11 Kevin Fenzi 2007-12-26 14:43:37 EST
ok. 

Can any of you seeing this on F8 try the following scratch build rpms: 
http://koji.fedoraproject.org/koji/taskinfo?taskID=310426

The important one is munin-node... will need to be upgraded on each node you
monitor and restarted. 

Please let me know if this fixes the errors and I will push a real update if so. 

Thanks everyone for your patience... 
Comment 12 Raina Otoni 2007-12-27 18:20:22 EST
I confirmed this problem fixed with munin-1.2.5-4.fc9.noarch.rpm and
munin-node-1.2.5-4.fc9.noarch.rpm in F8.
There are no more "Pango-WARNING" cron mail.
Comment 13 Ingvar Hagelund 2007-12-28 05:53:23 EST
Yep, confirmed fixed in that build.

Ingvar

Comment 14 Kevin Fenzi 2007-12-28 13:47:48 EST
Excellent. I have made an update for F8 and rawhide. 
The f8 one should go to updates-testing in the next push.

No one was seeing issues with F7, correct? I no longer have a munin running F7
machine handy to test, but I was seeing no problems with my main machine before
it's F8 upgrade, so I assume it's ok there. 

Thanks for everyone's patience with this issue... 
Comment 15 Fedora Update System 2008-01-02 20:46:40 EST
munin-1.2.5-4.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update munin'
Comment 16 Fedora Update System 2008-01-18 18:58:35 EST
munin-1.2.5-4.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 17 Kevin Fenzi 2008-02-20 22:20:14 EST
This is all solved as far as I can tell. 
I am closing this out now. 
Comment 18 Zing 2008-04-21 21:32:43 EDT
FYI, I just ran into this when I upgraded my munin server to fc8.  fc7
munin-node clients will trigger the pango warnings in the fc8 munin server.  I
hand edited the interrupt.in on the problem nodes (fc7 and below) and things are
fine.

FYI2, the current patch isn't quite perfect though, if I look at the per server
stats under interrupts, I see the title rendered as:

:: Interrupts &amps; context switches
              ^^^^^^
If you click on the graphs to get the interrupt details though, this title is
also used for the title rendered in the png file... with then is rendered with
the "&" correctly.  A catch 22 I guess.  The best you may be able to do is use
the word "and" for the title of the graph and forego html escaping.

Note You need to log in before you can comment on or make changes to this bug.